Whenever you create a new ShipStation API account, it creates a new API key automatically. Most of the time that API key is the only one you'll ever need.
However, if it ever becomes compromised you can disable it and then create a new one by following the instructions below.
TIP: Treat ShipStation API keys like a password, they are associated with your partner account and can make billable transactions.
POST /v1/partners/accounts/:account_id/api_keys
POST /v1/partners/accounts/242822/api_keys HTTP/1.1
Host: api.shipengine.com
API-Key: __PARTNER_API_KEY_HERE__
Content-Type: application/json
{
"description": "Partner Access Key"
}Example response:
{
"encrypted_api_key": "4WrQpShzaZvpRixBxwSLoYdXaGeU+LCpVsQjaKBFloU",
"created_at": "2017-07-13T16:22:46.633Z",
"description": "Partner Access Key",
"account_id": 242822,
"api_key_id": 4094
}